---
title: About
sidebarDepth: 2
description: What does the Pomerium Enterpise Console offer?
---

# Pomerium Enterprise

Pomerium Enterprise is built on Pomerium Open Source. Pomerium Enterprise makes Pomerium easier to manage at scale, and adds additional functionality aimed at organizations with auditing, compliance, governance, and risk management needs.

## Features

In addition to the capabilities provided by open-source Pomerium, Pomerium Enterprise provides:

### Management GUI

Pomerium Enterprise lets you view traffic and logs, define routes and policies, and organize your service access from an intuitive web interface.

![Overview animation of Pomerium Enterprise](./img/console-overview.gif)

### Programmatic API

Integrate Pomerium into your workflows by managing configuration from the programming language or infrastructure management tool of your choice. Everything that is manageable in the Management GUI can also be driven programmatically through the API.

### Session management

Quickly view who is logged in your infrastructure, with easy access to revoke sessions.

![Pomerium Enterprise Session List](./img/console-session-list.png)

### Self-Service & Governance

Easily define who can control access to what areas of your infrastructure. Our [Namespaces](/enterprise/concepts.md#namespaces) make it easy to allow teams to self-manage access to the infrastructure they build from or depend on.

[User roles](/enterprise/concepts.md#rbac-for-enterprise-console-users) are granted along Namespace hierarchy, with in inheritance from parents.

Pomerium Enterprise uses teams and groups defined by your IdP, so you can build stable policies that don't need to be adjusted as your company changes.

See [Concepts: Self-Service Capabilities](./concepts.md#self-service-capabilities) for more information.

### Deployment History & Audit Logs

View and export change and access logs from the web UI. Pomerium Enterprise gives you a complete view of who's using it and how access is adjusted.

## Learn more

For a full breakdown of the difference in the enterprise and open source versions of Pomerium, please see our [Pricing](https://www.pomerium.com/pricing/) page.
